# Gst::MessageMixerRecordToggled Class Reference

A record-toggled Gst::Mixer message. More...

`#include <mixer.h>`

Inheritance diagram for Gst::MessageMixerRecordToggled:

List of all members.

## Public Member Functions
| MessageMixerRecordToggled (GstMessage* castitem)
void | parse (Glib::RefPtr<Gst::MixerTrack>& track, bool& record) const
| Extracts the contents of a record-toggled bus message.
Glib::RefPtr<Gst::MixerTrack> | parse ()
| Extracts the contents of a record-toggled bus message.
Glib::RefPtr< const Gst::MixerTrack > | parse () const
| Extracts the contents of a record-toggled bus message.
bool | parse_record () const
| Extracts the contents of a record-toggled bus message.

## Detailed Description

A record-toggled Gst::Mixer message.

## Constructor& Destructor Documentation

Gst::MessageMixerRecordToggled::MessageMixerRecordToggled | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

Glib::RefPtr<const Gst::MixerTrack> Gst::MessageMixerRecordToggled::parse | ( |  | ) | const

Extracts the contents of a record-toggled bus message.

Reads the Gst::MixerTrack that has changed.

The Gst::MixerTrack remains valid until the message is freed.

Returns:
  A reference to the Gst::MixerTrack object.

Glib::RefPtr<Gst::MixerTrack> Gst::MessageMixerRecordToggled::parse | ( |  | ) |

Extracts the contents of a record-toggled bus message.

Reads the Gst::MixerTrack that has changed.

The Gst::MixerTrack remains valid until the message is freed.

Returns:
  A reference to the Gst::MixerTrack object.

void Gst::MessageMixerRecordToggled::parse | ( | Glib::RefPtr<Gst::MixerTrack>& | track,
|  | bool & | record |
| ) |  |  | const

Extracts the contents of a record-toggled bus message.

Reads the Gst::MixerTrack that has changed, and the new value of the recording flag.

The Gst::MixerTrack remains valid until the message is freed.

Parameters:

  | track | A reference to hold the Gst::MixerTrack object.
  | record | A reference to hold the bool value.

Since 0.10.14.

bool Gst::MessageMixerRecordToggled::parse_record | ( |  | ) | const

Extracts the contents of a record-toggled bus message.

Reads the new value of the recording flag.

Returns:
  The bool value.

The documentation for this class was generated from the following file:

- mixer.h